{ config, lib, pkgs, ... }:

{
  imports = [
    ./options.nix
    ./state.nix
    ./graphics.nix
    ./nix.nix
    ./scripts.nix
    ./systemd.nix
    ./virtualization.nix
    ./fonts.nix
    ./hardware.nix
    ./audio.nix
    ./bluetooth.nix
    ./network.nix
    ./impermanence.nix
    ./browser.nix
    ./makima.nix
    ../../themes/engine/plymouth.nix
    ../../themes/engine/sddm.nix
  ];

  time.timeZone = lib.mkDefault config.nomarchy.system.timezone;

  nixpkgs.config.allowUnfree = true;
}
